summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2016-04-23 19:38:53 -0400
committerAnthony G. Basile <blueness@gentoo.org>2016-04-23 19:39:19 -0400
commitdc940d4b2167447e646e2ec69432764d5bcc96bf (patch)
tree0a377a092763c862c064a3260623ff8540d386df
parentdev-qt/qtwebkit: edit gstreamer patches so that they work with eapply (diff)
downloadgentoo-dc940d4b2167447e646e2ec69432764d5bcc96bf.tar.gz
gentoo-dc940d4b2167447e646e2ec69432764d5bcc96bf.tar.bz2
gentoo-dc940d4b2167447e646e2ec69432764d5bcc96bf.zip
ssl-cert.eclass: guard against EAPI=0
-rw-r--r--eclass/ssl-cert.eclass12
1 files changed, 12 insertions, 0 deletions
diff --git a/eclass/ssl-cert.eclass b/eclass/ssl-cert.eclass
index 4f573baf5e0..f41dc3cc9cb 100644
--- a/eclass/ssl-cert.eclass
+++ b/eclass/ssl-cert.eclass
@@ -13,6 +13,18 @@
# @EXAMPLE:
# "install_cert /foo/bar" installs ${ROOT}/foo/bar.{key,csr,crt,pem}
+# Guard against unsupported EAPIs. We need EAPI >= 1 for slot dependencies.
+case "${EAPI:-0}" in
+ 0)
+ die "${ECLASS}.eclass: EAPI=0 is not supported. Please upgrade to EAPI >= 1."
+ ;;
+ 1|2|3|4|5|6)
+ ;;
+ *)
+ die "${ECLASS}.eclass: EAPI=${EAPI} is not supported yet."
+ ;;
+esac
+
# @ECLASS-VARIABLE: SSL_CERT_MANDATORY
# @DESCRIPTION:
# Set to non zero if ssl-cert is mandatory for ebuild.